/* STRUCTURAL */
body{
    margin: 0;
	background: var(--wit);
	font-size: var(--p-size);
}
strong,
strong *{
	font-weight: 600 !important;
}
h1{
    font-size: var(--h1-size);
    font-weight: 900;
	color: var(--rood);
}
h2{
    font-size: var(--h2-size);
    font-weight: 900;
	color: var(--rood);
}
h3{
    font-size: var(--h3-size);
    font-weight: 800;
	color: var(--rood);
}
h4{
    font-size: var(--h4-size);
    font-weight: 700;
	color: var(--rood);
}
h5{
    font-size: var(--h5-size);
    font-weight: 600;
	color: var(--rood);
}
h6{
    font-size: var(--h6-size);
    font-weight: 500;
	color: var(--rood);
}

p > strong{
    font-weight: bold;
}


img{
	width: 100%;
	height: auto;
    user-select: none;
}
figure{
	margin: 0;
}
video{
	width: 100%;
	height: auto;
}
h1,h2{
    font-family: var(--font-headings);
    letter-spacing: 1px;
    line-height: 1.2;
    margin-bottom: 0.9em;
    margin-top: 0;
}
h3,h4,h5,h6{
    font-family: var(--font-headings);
    letter-spacing: 1px;
    line-height: 1.2;
    margin-bottom: 1.2em;
    margin-top: 0;
}
main button{
    margin-top: 1.5rem;
}
input[type='submit'],
body .bg-geel a.button,
body .bg-geel button,
a.button,
button{
	display: flex;
	cursor: pointer;
	border: unset;
    background-color: var(--rood);
	padding: 12px 24px;
    font-weight: 900;
    margin-bottom: 0;
    text-decoration: unset;
    color: var(--wit);
    border-radius: var(--border-radius-medium);
    width: fit-content;
    line-height: 1;
    transition: 0.2s;	
	border: 2px solid transparent;
}
.has-background a.button,
.has-background button{
	border: 2px solid var(--geel);
	background-color: unset;
}
.has-background a.button:hover,
.has-background button:hover{
	color: var(--geel);
	background-color: unset;
    transform: scale(1.05);
}
input[type='submit']:hover,
body .bg-geel a.button:hover,
body .bg-geel button:hover{
	color: var(--rood);
	border-color: var(--rood);
	background-color: unset;
    transform: scale(1.05);	
}
header a.button:hover,
header button:hover{
	transform: scale(1);
}
a.button:hover,
button:hover{
    transform: scale(1.05);
	background-color: unset;
	color: var(--geel);
	border: 2px solid var(--geel);	
}
button:has( > a){
    position: relative;
    border-radius: var(--border-radius-small);
    border: 2px solid var(--zwart);
    background-color: unset;
    color: var(--zwart);
    z-index: 1;
}
button > a{
	color: inherit;
    padding: 12px;
    letter-spacing: 2px;
    font-weight: 600;
    position: relative;
    z-index: 2;
    margin-bottom: 0;
    text-decoration: unset;
}


br{
    display: inline-flex;
}
b{
    font-weight: bold;
}
i{
    font-style: italic;
}
p > a{
	text-decoration: underline;
}
.bg-geel span,
.bg-geel a,
.bg-geel li,
.bg-geel p{
    text-decoration-color: black !important;
}
figcaption,
span,
a,
li,
p{
    font-family: var(--font-text);
    line-height: 1.4;
    letter-spacing: 1px;
    margin-bottom: 1em; 
    font-weight: 400;
    color:var(--zwart);
	text-underline-offset: 4px;
    text-decoration-thickness: 2px !important;
    text-decoration-color: var(--geel) !important;
	font-weight: 300;
}

.buttons{
    display: flex;
    gap: var(--gallery-gap);
    flex-wrap: wrap;
}

main ol,
main ul{
    padding-left: 1.5em;
}

main ol li,
main ul li{
    padding-left: 12px;
    margin-bottom: .5em;
}


h1:not(:first-child),
h2:not(:first-child),
h3:not(:first-child),
h4:not(:first-child),
h5:not(:first-child),
h6:not(:first-child){
    margin-top: 1em;
}

h1:last-child:not(:only-child),
h2:last-child:not(:only-child),
h3:last-child:not(:only-child),
h4:last-child:not(:only-child),
h5:last-child:not(:only-child),
h6:last-child:not(:only-child),
p:last-child{
    margin-bottom: 0;
}

h1:first-child, 
h2:first-child, 
h3:first-child, 
h4:first-child, 
h5:first-child, 
h6:first-child, 
p:first-child{
    margin-top: 0;
}



/* FORMS */
.gform_required_legend{
	display: none;
}
body .gform_wrapper.gravity-theme .gform_fields{
	gap: calc(var(--gap) * 0.75);
}
form *::placeholder{
	color: #a1a1a1;
	font-size: 14px;
	font-family: var(--font-text);
}
form *{
	font-family: var(--font-text);
	font-size: var(--p-size) !important;
}
body .gform_wrapper.gravity-theme .gfield_label{
	font-size: var(--h6-size);
	font-weight: 400;
}
form span,
form label *,
form legend *{
	margin-bottom: 0;
}
body .gform_wrapper.gravity-theme input[type=color], 
body .gform_wrapper.gravity-theme input[type=date], 
body .gform_wrapper.gravity-theme input[type=datetime-local], 
body .gform_wrapper.gravity-theme input[type=datetime], 
body .gform_wrapper.gravity-theme input[type=email],
body .gform_wrapper.gravity-theme input[type=month],
body .gform_wrapper.gravity-theme input[type=number],
body .gform_wrapper.gravity-theme input[type=password],
body .gform_wrapper.gravity-theme input[type=search],
body .gform_wrapper.gravity-theme input[type=tel],
body .gform_wrapper.gravity-theme input[type=text],
body .gform_wrapper.gravity-theme input[type=time],
body .gform_wrapper.gravity-theme input[type=url], 
body .gform_wrapper.gravity-theme input[type=week], 
body .gform_wrapper.gravity-theme select,
body .gform_wrapper.gravity-theme textarea{
	border-radius: var(--border-radius-medium);
	border: 2px solid var(--geel);
	padding: 12px 18px;
	background-color: unset;
}

body .gchoice{
	height: fit-content;
}
body .gform_wrapper.gravity-theme .gfield_label{
	margin-bottom: 16px;
}
body .gchoice label{
	padding: 0;
    margin-left: 20px;
	border-radius: var(--border-radius-large);
	cursor: pointer;
	position: relative;
    line-height: 1;
	color: var(--zwart);
	font-size: 14px !important;
	width: 100%;
    border-radius: var(--border-radius-large);
	max-width: 100% !important;
}
body .gchoice label::before{
	content: '';
    aspect-ratio: 1;
    border-radius: 50%;
    border: 2px solid var(--geel);
    position: absolute;
    left: -20px;
    height: 12px;
    top: calc(50% - 8px);
}
body .gchoice:has(input:checked) label::before,
body .gchoice label:hover::before{
	background-color: var(--geel);
}
body .gchoice input{
	display: none !important;
}




/* POP-UP */
.pop-up {
    position: fixed;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 2rem;
    background: rgba(0, 0, 0, 0.9);
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
    transition: opacity 0.3s ease, visibility 0.3s ease;
    z-index: -9999;
    width: calc(100vw - 100px);
    height: calc(100vh - 100px);
    background: var(--color-3);
    margin: auto;
    top: 50px;
    left: 50px;
    box-sizing: border-box;
    border-radius: var(--border-radius-small);
}
.pop-up p,
.pop-up li,
.pop-up h1,
.pop-up h2,
.pop-up h3,
.pop-up h4,
.pop-up h5,
.pop-up h6 {
    color: var(--color-1);
}
body:has(.pop-up.active) {
    overflow: hidden;
}
.pop-up.active {
    z-index: 9999;
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
}

.pop-up .pop-up-content {
    transform: translateY(20px);
    opacity: 0;
    transition: transform 0.4s cubic-bezier(0.16, 1, 0.3, 1), opacity 0.4s ease;
}
.pop-up.active .pop-up-content {
    transform: translateY(0);
    opacity: 1;
}
.pop-up-trigger {
    cursor: pointer;
}




